{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"The authenticated user must have access to security alerts for the repository to use this endpoint. For more information, see \"[Granting access to security alerts](https://docs.github.com/repositories/managing-your-repositorys-settings-and-features/enabling-features-for-your-repository/managing-security-and-analysis-settings-for-your-repository#granting-access-to-security-alerts).\"\n\nOAuth app tokens and personal access tokens (classic) need the `security_events` scope to use this endpoint. If this endpoint is only used with public repositories, the token can use the `public_repo` scope instead.","properties":{"path":{"type":"object","properties":{"owner":{"type":"string","description":"The account owner of the repository. The name is not case sensitive."},"repo":{"type":"string","description":"The name of the repository without the `.git` extension. The name is not case sensitive."},"alert_number":{"$ref":"#/definitions/alert-number","description":"The number that identifies a Dependabot alert in its repository.\nYou can find this at the end of the URL for a Dependabot alert within GitHub,\nor in `number` fields in the response from the\n`GET /repos/{owner}/{repo}/dependabot/alerts` operation."}},"required":["owner","repo","alert_number"],"additionalProperties":false},"body":{"type":"object","properties":{"state":{"type":"string","description":"The state of the Dependabot alert.\nA `dismissed_reason` must be provided when setting the state to `dismissed`.","enum":["dismissed","open"]},"dismissed_reason":{"type":"string","description":"**Required when `state` is `dismissed`.** A reason for dismissing the alert.","enum":["fix_started","inaccurate","no_bandwidth","not_used","tolerable_risk"]},"dismissed_comment":{"type":"string","description":"An optional comment associated with dismissing the alert.","maxLength":280},"assignees":{"type":"array","description":"Usernames to assign to this Dependabot Alert.\nPass one or more user logins to _replace_ the set of assignees on this alert.\nSend an empty array (`[]`) to clear all assignees from the alert.\nTo assign an AI agent, include the bot login (for example, `copilot-swe-agent[bot]`).","items":{"type":"string"}},"agent_assignment":{"type":"object","description":"Parameters for AI agent assignment. Only used when an agent bot login is\nincluded in `assignees`. Ignored when no agent is being assigned.","properties":{"custom_instructions":{"type":"string","description":"Custom instructions for the agent."},"custom_agent":{"type":"string","description":"A custom agent identifier."},"model":{"type":"string","description":"The model to use for the agent."}},"additionalProperties":false}},"anyOf":[{"required":["state"]},{"required":["assignees"]}],"additionalProperties":false,"examples":[{"state":"dismissed","dismissed_reason":"tolerable_risk","dismissed_comment":"This alert is accurate but we use a sanitizer."}]}},"required":["path","body"],"additionalProperties":false,"definitions":{"alert-number":{"type":"integer","description":"The security alert number."}}},"name":"Update a Dependabot alert","id":"github.dependabot.update-alert","example":{"path":{"owner":"octocat","repo":"hello-world","alert_number":1},"body":{"state":"dismissed","dismissed_reason":"tolerable_risk","dismissed_comment":"This alert is accurate but we use a sanitizer."}},"maxRequests":1,"summary":false}}